C++ Utilities: CppUtilities::AdvancedIniFile::Section Class Reference

C++ Utilities 5.35.0 Useful C++ classes and routines such as argument parser, IO and conversion utilities

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
CppUtilities::AdvancedIniFile::Section Class Reference

The AdvancedIniFile::Section class represents a section within an INI file. More...

`#include <inifile.h>`

Collaboration diagram for CppUtilities::AdvancedIniFile::Section:
[legend]

## Public Member Functions
FieldList::iterator | findField (std::string_view key)
| Returns an iterator to the first field with the key key.
FieldList::const_iterator | findField (std::string_view key) const
| Returns an iterator to the first field with the key key.
FieldList::iterator | findField (FieldList::iterator after, std::string_view key)
| Returns an iterator to the first field with the key key which comes after after.
FieldList::const_iterator | findField (FieldList::iterator after, std::string_view key) const
| Returns an iterator to the first field with the key key which comes after after.
FieldList::iterator | fieldEnd ()
| Returns an iterator that points one past the last field.
FieldList::const_iterator | fieldEnd () const
| Returns an iterator that points one past the last field.

## Public Attributes
std::string | name
FieldList | fields
std::string | precedingCommentBlock
std::string | followingInlineComment
IniFileSectionFlags | flags = IniFileSectionFlags::None

## Detailed Description

The AdvancedIniFile::Section class represents a section within an INI file.

Definition at line 89 of file inifile.h.

## Member Function Documentation

## ◆ fieldEnd() [1/2]

AdvancedIniFile::FieldList::iterator CppUtilities::AdvancedIniFile::Section::fieldEnd | ( |  | ) |
| inline

Returns an iterator that points one past the last field.

Definition at line 226 of file inifile.h.

## ◆ fieldEnd() [2/2]

AdvancedIniFile::FieldList::const_iterator CppUtilities::AdvancedIniFile::Section::fieldEnd | ( |  | ) | const
| inline

Returns an iterator that points one past the last field.

Definition at line 234 of file inifile.h.

## ◆ findField() [1/4]

AdvancedIniFile::FieldList::iterator CppUtilities::AdvancedIniFile::Section::findField | ( | FieldList::iterator | after,
|  | std::string_view | key )
| inline

Returns an iterator to the first field with the key key which comes after after.

Definition at line 210 of file inifile.h.

## ◆ findField() [2/4]

AdvancedIniFile::FieldList::const_iterator CppUtilities::AdvancedIniFile::Section::findField | ( | FieldList::iterator | after,
|  | std::string_view | key ) const
| inline

Returns an iterator to the first field with the key key which comes after after.

Definition at line 218 of file inifile.h.

## ◆ findField() [3/4]

AdvancedIniFile::FieldList::iterator CppUtilities::AdvancedIniFile::Section::findField | ( | std::string_view | key | ) |
| inline

Returns an iterator to the first field with the key key.

Definition at line 194 of file inifile.h.

## ◆ findField() [4/4]

AdvancedIniFile::FieldList::const_iterator CppUtilities::AdvancedIniFile::Section::findField | ( | std::string_view | key | ) | const
| inline

Returns an iterator to the first field with the key key.

Definition at line 202 of file inifile.h.

## Member Data Documentation

## ◆ fields

FieldList CppUtilities::AdvancedIniFile::Section::fields

Definition at line 98 of file inifile.h.

## ◆ flags

IniFileSectionFlags CppUtilities::AdvancedIniFile::Section::flags = IniFileSectionFlags::None

Definition at line 101 of file inifile.h.

## ◆ followingInlineComment

std::string CppUtilities::AdvancedIniFile::Section::followingInlineComment

Definition at line 100 of file inifile.h.

## ◆ name

std::string CppUtilities::AdvancedIniFile::Section::name

Definition at line 97 of file inifile.h.

## ◆ precedingCommentBlock

std::string CppUtilities::AdvancedIniFile::Section::precedingCommentBlock

Definition at line 99 of file inifile.h.

The documentation for this class was generated from the following file:

- io/inifile.h